
// ***********************************************************************
//                    __anfahr00.h
// 
// Anfahrschaltung
// 
// ***********************************************************************


typedef struct {
  FL  *zu_min;        /* IO=E REM="ZU-Temp.Min-Begrenzung (PID-Regler)" */
  FL  *zu_min_ber;    /* IO=A REM="ZU-Temp.Min-Begrenzung (Anfahrregelung)" */
  BIT *freigabe;      /* IO=E REM="Anfahrregelung EIN/AUS" */
  BIT *betrieb;       /* IO=E REM="Betrieb" */
  UI  *betr_verl;     /* IO=E REM="Betriebsverlngerung (Sekunden)" */
  BIT *aktiv;         /* IO=A REM="Anfahrregelung momentan aktiv" */
  FL  *AU;            /* IO=E REM="AU-Temperatur" */
  FL  *frei_AU;       /* IO=E REM="Freigabe ab AU-Temperatur kleiner als angegebenen Wert" */
  UI  *min_aus;       /* IO=E REM="Freigabe wenn Lftungsanlage mindestens angegebene Zeit aus ist (Sekunden)" */
  UI  *dauer;         /* IO=E REM="Zeitdauer der Anfahrregelung" */
  FL  *zu_min_Anf;    /* IO=E REM="ZU-Temp Min-Begrenzung fr die Dauer der Anfahrregelung" */
  FL  *zu_min_abs;    /* IO=E REM="ZU-Temp Min-Begrenzung soll nach der Anfahrregelung um angegeben Wert sinken (K/min)" */
  SI  *Restminaus;    /* IO=A REM="Restzeit Mindestauszeit" */
  SI  *RestAnfahr;    /* IO=A REM="Restzeit Anfahrregelung" */
  SI  *RestBetrieb;   /* IO=A REM="Restzeit Betriebsverlngerung" */
  UI  *status;        /* IO=A REM="Status 0=Keine Freigabe, 1=Warten, 2=Aktiv, 3=Absenkung, 4=Beendet, 5=Gesperrt, 6=berwachen" */
  BIT *__AUFreigabe;  /*      REM="Merker AU-Freigabe gesetzt (Hysterese)" */
  UI  *__aktSekunde;  /*      REM="Sekundenmerker" */
  UI  *__aktMinute;   /*      REM="Minutenmerker" */
} ANFAHR00_LIBMAKBIB0002;
/**/
/**/
/* GRUPPE=PR-MAKBIB-0002a */
void anfahr00_libmakbib0002 (ANFAHR00_LIBMAKBIB0002 *io);
