
// ***********************************************************************
//                    __antiblock.h
// 
// Antiblockierschaltung
// 
// ***********************************************************************


typedef struct {
  BIT *betr_art;       /* IO=E BIT=2 REM="0=Aus 1=Auto 2=Hand (Toggeln)" */
  BIT *aktiv;          /* IO=A "Antiblockierschaltung aktiv" */
  BIT *anf_pumpe;      /* IO=E REM="Anforderung Pumpe" */
  BIT *pumpe;          /* IO=A REM="berechnete Anforderung Pumpe" */
  FL  *anf_ventil;     /* IO=E REM="Anforderung Stellwert Ventil (wenn > 0 wird eine aktive Antiblockierschaltung unterbrochen)" */
  FL  *ventil;         /* IO=A REM="berechneter Stellwert Ventil" */
  UI  *dauer;          /* IO=E REM="Zeitdauer der Antiblockierschaltung (in Sekunden)" */
  BIT *t_w;            /* IO=E REM="0=tgliche oder 1=wchendliche Antiblockierschaltung" */
  UI  *uhrzeit;        /* IO=E REM="tgliche oder wchendliche Antiblockierschaltung zur angegebenen Uhrzeit (BDF-Typ=TIME d.h 1000 = 10:00)" */
  UI  *wochentag;      /* IO=E REM="Am angegeben Wochentag (0=So,1=Mo..7=So) wird zur angegeben Uhrzeit die Antiblockierschaltung aktiviert" */
  BIT *Sperre;         /* IO=E REM="digitale Eingang zum Sperren (bzw.Abbruch) der Antiblockierschaltung" */
  SI  *Restdauer;      /* IO=A REM="Restzeit Antiblockierung" */
  UI  *status;         /* IO=A REM="Status 0=Aus 1=Bereit 2=analog Sperre 3=digitale Sperre" */
  UI  *__aktSekunde;  /*      REM="Sekundenmerker" */
  UI  *__aktMinute;   /*      REM="Minutenmerker" */
} ANTIBLOCK_LIBMAKBIB0002;
/**/
/**/
/* GRUPPE=PR-MAKBIB-0002a */
void antiblock_libmakbib0002 (ANTIBLOCK_LIBMAKBIB0002 *io);
