
// ***********************************************************************
//                    __folge_ex.h
// 
// folge_ex
// 
// ***********************************************************************


typedef struct {
  UI  *fol_a_1;       /* IO=E REM="KesselNr.1..4 des Kessels A fr Folge A" */
  UI  *fol_a_2;       /* IO=E REM="KesselNr.1..4 des Kessels B fr Folge A" */
  UI  *fol_a_3;       /* IO=E REM="KesselNr.1..4 des Kessels C fr Folge A" */
  UI  *fol_a_4;       /* IO=E REM="KesselNr.1..4 des Kessels D fr Folge A" */
  BIT *folg_ab;       /* IO=E REM="aktive Folge (0 = Folge A, 1=Folge B)" */
  UI  *fol_b_1;       /* IO=E REM="KesselNr.1..4 des Kessels A fr Folge B" */
  UI  *fol_b_2;       /* IO=E REM="KesselNr.1..4 des Kessels B fr Folge B" */
  UI  *fol_b_3;       /* IO=E REM="KesselNr.1..4 des Kessels C fr Folge B" */
  UI  *fol_b_4;       /* IO=E REM="KesselNr.1..4 des Kessels D fr Folge B" */
  UI  *fu_kes_s;      /* IO=E REM="Fhrungs-Kessel/WT-Soll (0 = A, 1 = B, 2 = C, 3 = D, 4 = Rollierend)" */
  BIT *fu_kes_i;      /* IO=A BIT=2 REM="Fhrungs-Kessel/WT-Ist (0 = A, 1 = B, 2 = C, 3 = D)" */
  BIT *kes_nr_1;      /* IO=A BIT=3 REM="berechnete 1. KesselNr (Fhrungskessel)" */
  BIT *kes_nr_2;      /* IO=A BIT=3 REM="berechnete 2. KesselNr" */
  BIT *kes_nr_3;      /* IO=A BIT=3 REM="berechnete 3. KesselNr" */
  BIT *kes_nr_4;      /* IO=A BIT=3 REM="berechnete 4. KesselNr" */
  BIT *freig_1;       /* IO=A REM="Freigabe Kessel 1" */
  BIT *freig_2;       /* IO=A REM="Freigabe Kessel 2" */
  BIT *freig_3;       /* IO=A REM="Freigabe Kessel 3" */
  BIT *freig_4;       /* IO=A REM="Freigabe Kessel 4" */
  BIT *stoer_1;       /* IO=E REM="Strung Kessel 1" */
  BIT *stoer_2;       /* IO=E REM="Strung Kessel 2" */
  BIT *stoer_3;       /* IO=E REM="Strung Kessel 3" */
  BIT *stoer_4;       /* IO=E REM="Strung Kessel 4" */
  BIT *fordr_1;       /* IO=E REM="Anforderung ein Kessel" */
  BIT *fordr_2;       /* IO=E REM="Anforderung zwei Kessel" */
  BIT *fordr_3;       /* IO=E REM="Anforderung drei Kessel" */
  BIT *fordr_4;       /* IO=E REM="Anforderung vier Kessel" */
  BIT *ak_ford_2;     /* IO=A REM="aktive Anforderung zwei Kessel" */
  BIT *ak_ford_3;     /* IO=A REM="aktive Anforderung drei Kessel" */
  BIT *ak_ford_4;     /* IO=A REM="aktive Anforderung vier Kessel" */
  FL  *ak_ford;       /* IO=A REM="Anzahl der angeforderten Kessel" */
  UI  *fu_kes_um;     /* IO=E REM="auto. Kesselfhrung umschalten (0 = Wchendlich, 1 = Laufzeit abh., 2 = Kalender abh.)" */
  BIT *umschalten;    /* IO=A REM="eine automatische Umschaltung ausfhren" */
  UI  *uhrzeit;       /* IO=E REM="Umschalten zur angegeben Uhrzeit (TIME-Eingabe)" */
  UI  *Wochentag;     /* IO=E REM="Umschaltung am angegebenen Wochentag (0=So, 1=Mo, 2=Di, 3=Mi, 4=Do, 5=Fr, 6=Sa, 7=So)" */
  FL  *Laufzeit;      /* IO=E REM="Umschalten nach der angegebenen Laufzeit (in Stunden)" */
  FL  *aktLaufzeit;   /* IO=A REM="aktuelle Laufzeit des Fhrungskessels (in Stunden)" */
  UI  *Kale_vom;      /* IO=E REM="Umschalten vom angegeben Kalenderdatum (DATE-Eingabe)" */
  UI  *Kale_bis;      /* IO=E REM="Umschalten bis angegeben Kalenderdatum (DATE-Eingabe)" */
  BIT *betr_1;        /* IO=E REM="Betrieb Kessel 1" */
  BIT *betr_2;        /* IO=E REM="Betrieb Kessel 2" */
  BIT *betr_3;        /* IO=E REM="Betrieb Kessel 3" */
  BIT *betr_4;        /* IO=E REM="Betrieb Kessel 4" */
  FL  *anf_kes_min;   /* IO=E REM="Kesselmindestanforderung zur Freischaltung des nchsten Kessels. (Bei 0.0 wird der Betrieb Kessel bercks.)" */
  FL  *Hysterese;     /* IO=E REM="Hysterese fr die Kesselmindestanforderung." */
  SLI *anf_kes_t;     /* IO=E REM="Kesselmindestanforderung mu mindestens fr die angegebene Zeit angestanden haben." */
  FL  *anf_kes_res;   /* IO=A REM="Restzeit Kesselmindestanforderung */
  FL  *anf_kes_1;     /* IO=E REM="Anforderung Kessel 1 (0..100%)" */
  FL  *anf_kes_2;     /* IO=E REM="Anforderung Kessel 2 (0..100%)" */
  FL  *anf_kes_3;     /* IO=E REM="Anforderung Kessel 3 (0..100%)" */
  FL  *anf_kes_4;     /* IO=E REM="Anforderung Kessel 4 (0..100%)" */
  UI  *kes_anz;       /* IO=E REM="max.Anzahl von Kessel" */
  BIT *keine_begr;    /* IO=E REM="Kesselanzahl nicht begrenzen" */
  UI  *kes_begr;      /* IO=E REM="begrenzte Anzahl von Kessel" */
  BIT *__StatusAnf;        /* REM="Bit 1..4 = Freigabe (Anforderung Kessel ist im Bereich anf_kes_min + Hysterese)" */
  BIT *__StatusMinZeit;    /* REM="Bit 1..4 = Mindestanforderungszeit abgelaufen" */
  UI  *__aktRotation;      /* REM="aktuelle Rotation" */
  ULI *__aktKesselfolge;   /* REM="aktuelle Kesselfolge" */
  UI  *__aktWochentag;     /* REM="gemerkter Wochentag" */
  UI  *__aktMinute;        /* REM="aktuelle Minute" */
  UI  *__aktSekunde;       /* REM="aktuelle Sekunde" */
  UI  *__aktDatum;         /* REM="aktuelles Datum" */
  BIT *__AblaufBisDatum;   /* REM="Beim nchsten Tageswechsel rotieren" */
  UI  *__aktUhrzeit;       /* REM="aktuelle  Uhrzeit" */
  UI  *__fu_kes_um;        /* REM="auto. Kesselfhrung umschalten */
  UI  *__Kale_vom;         /* REM="Umschalten vom angegeben Kalenderdatum (DATE-Eingabe)" */
  UI  *__Kale_bis;         /* REM="Umschalten bis angegeben Kalenderdatum (DATE-Eingabe)" */
} FOLGE_EX_LIBMAKBIB0002;
/**/
/**/
/* GRUPPE=PR-MAKBIB-0002a */
void folge_ex_libmakbib0002 (FOLGE_EX_LIBMAKBIB0002 *io);
