typedef struct {
  FL  *vl_soll;          /* IO=A REM="Vorlauf-Soll-Temperatur in C"*/
  FL  *theta_a;          /* IO=E REM="Auentemperatur         in C"*/
  FL  *fusspnkt;         /* IO=E REM="Fupunkt (Raum-Soll)    in C"*/
  FL  *steilh;           /* IO=E REM="Steilheit              "*/
  FL  *kruemm;           /* IO=E REM="Krmmung               "*/
  FL  *th_ausl;          /* IO=E REM="Auslegungstemperatur   "*/
  BIT *tagbetr;          /* IO=E REM="Betriebsart 1=Tagbetrieb"*/
  FL  *v_nacht;          /* IO=E REM="Aufschlag nachts        in K"*/
  FL  *v_tag;            /* IO=E REM="Aufschlag tags          in K"*/
  FL  *vl_min;           /* IO=E REM="Minimale Vorlauftemperatur"*/
  FL  *vl_max;           /* IO=E REM="Maximale Vorlauftemperatur"*/
  FL  *vl_s_m20;         /* IO=A REM="Vorlauf-Soll-Temperatur bei -20C"*/
  FL  *vl_s_m15;         /* IO=A REM="Vorlauf-Soll-Temperatur bei -15C"*/
  FL  *vl_s_m10;         /* IO=A REM="Vorlauf-Soll-Temperatur bei -10C"*/
  FL  *vl_s_m_5;         /* IO=A REM="Vorlauf-Soll-Temperatur bei -5C"*/
  FL  *vl_s__0_0;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 0C"*/
  FL  *vl_s__5_0;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 5C"*/
  FL  *vl_s_10_0;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 10C"*/
  FL  *vl_s_15_0;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 15C"*/
  FL  *vl_s_17_5;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 17,5C"*/
  FL  *vl_s_20_0;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 20C"*/
  FL  *vl_s_22_5;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 22,5C"*/
  FL  *vl_s_25_0;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 25C"*/
  FL  *vl_s_27_5;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 27,5C"*/
  FL  *vl_s_30_0;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 30C"*/
  FL  *vl_s_32_5;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 32,5C"*/
  FL  *vl_s_35_0;        /* IO=A REM="Vorlauf-Soll-Temperatur bei 35C"*/
} HEIZKURV16_LIBMAKBIB0002;      /*      REM="heizkurv16_libmakbib0002              "*/
/*HEIZKURV16 berechnet zur Aussentemperatur eine Vorlaufsolltemperatur. */
/*Der Eingang "theta_a" muss mit der Aussentemperatur verbunden werden.*/
/*Der Wert fr den Fusspunkt sollte die gewnschte Raumtemperatur sein.*/
/*Als Steilheit sollte ein Wert zwischen 0.6 und 4.0 eingebeben werden. */
/*Der Wert fr die Krmmung "kruemm" ist abhngig vom Heizsystem bzw. von der*/
/*Art der verwendeten Heizkrper. Es gelten folgend Richtwerte:*/
/*  Fussbodenheizung   ca. 1,10          */
/*  Radiatoren         ca. 1,20          */
/*  DIN-Radiatoren     ca. 1,33          */
/*  Plattenheizkrper  ca. 1,25 ... 1,40 */
/*  Konvektoren        ca. 1,40 ... 1,66 */
/*Am Eingang "th_ausl" muss die Auslegungstemperatur angegeben werden, im*/
/*Zweifelsfall sollte -20 C eingegeben werden.*/
/*Am Eingang "tagbetr" wird vorgegeben, um wievile Kelvin die Heizkurve */
/*verschoben wird. Liegt eine 0 an, dann wird um den Wert am Eingang "v_nacht"*/
/*verschoben. Liegt eine 1 an, dann wird um den Wert am Eingang "v_tag"*/
/*verschoben. Mit den Werten "min" und "max" kann die Heizkurve begrenzt*/
/*werden. Zustzlich wirde an den Ausgngen "vl_s_m20" bis "vl_s_35" die*/
/*Vorlauf Solltemperatur bei einer angenommenen Aussentempetatur von*/
/*"-20C" bis "+35C" ausgegeben. Diese Werte knnen gentzt werden,*/
/*um mit dem Grafikelement "Linienanimation" die Heizkurve dynamisch*/
/*zu Visualisieren*/
/**/

/* GRUPPE=PR-MAKBIB-0002a */
void heizkurv16_libmakbib0002(HEIZKURV16_LIBMAKBIB0002 *io);
