// ***********************************************************************
//                    __pu_um.h
// 
// Pumpenumschaltung
// 
// ***********************************************************************


typedef struct {
  BIT *betrart;     /* IO=E BIT=2 REM="Betriebsart 0=Wechselbetrieb 1=Parallelbetrieb 2=Folgebetrieb" */
  BIT *freigabe_1;  /* IO=A REM="Freigabe Pumpe 1" */
  BIT *freigabe_2;  /* IO=A REM="Freigabe Pumpe 2" */
  BIT *fu_pu;       /* IO=A REM="Fhrungspumpe 0 = Pumpe 1, 1 = Pumpe 2" */
  BIT *um_in_ex;    /* IO=E REM="Umschaltung ( 0 = intern, 1 = extern)" */
  BIT *ext_um;      /* IO=E REM="externe Umschaltanforderung ( 0 = Pumpe 1, 1 = Pumpe 2)" */
  UI  *pu_um_a;     /* IO=E REM="auto.Pumpenumschaltungsart ( 0 = tglich, 1 = Wchendlich, 2 = Laufzeit abh., 3 = Kalender abh., 4=Nur durch Handumschaltung in_um" */
  BIT *in_um;       /* IO=A REM="eine interne automatische Umschaltung ausfhren" */
  BIT *stoer_1;     /* IO=E REM="Strung Pumpe 1" */
  BIT *stoer_2;     /* IO=E REM="Strung Pumpe 2" */
  BIT *betr_1;      /* IO=E REM="Betrieb Pumpe 1" */
  BIT *betr_2;      /* IO=E REM="Betrieb Pumpe 2" */
  FL  *anf_pu_min;  /* IO=E REM="Pumpenmindestanforderung zur Freischaltung der nchsten Pumpe" */
  FL  *hysterese;   /* IO=E REM="Hysterese fr die Pumpenmindestanforderung (Bei 0.0 wird der Betrieb Pumpe bercks.)" */
  SLI *anf_pu_t;    /* IO=E REM="Pumpenmindestabforderung mu mindestens fr die angegebene Zeit angestanden haben. (in Sekunden)" */
  FL  *Restzeit;    /* IO=A REM="Restzeit Pumpenmindestanforderung (in Sekunden) */
  FL  *anf_pu;      /* IO=E REM="Anforderung Pumpen (0..100%)" */
  UI  *uhrzeit;     /* IO=E REM="Umschalten zur angegeben Uhrzeit (TIME-Eingabe)" */
  UI  *wochentag;   /* IO=E REM="Umschaltung am angegebenen Wochentag (1=Mo, 2=Di, 3=Mi, 4=Do, 5=Fr, 6=Sa, 7=So)" */
  FL  *laufzeit;    /* IO=E REM="Umschalten nach der angegebenen Laufzeit (in Stunden)" */
  FL  *aktLaufzeit; /* IO=A REM="aktuelle Laufzeit der Fhrungspumpe (in Stunden)" */
  UI  *kale_vom;    /* IO=E REM="Umschalten vom angegeben Kalenderdatum (DATE-Eingabe)" */
  UI  *kale_bis;    /* IO=E REM="Umschalten bis angegeben Kalenderdatum (DATE-Eingabe)" */
  BIT *__StatusAnf;         /* REM="Bit 1 = Freigabe (Anforderung Pumpe ist im Bereich anf_kes_min + Hysterese)" */
  BIT *__StatusMinZeit;     /* REM="Bit 1 = Mindestanforderungszeit abgelaufen" */
  UI  *__aktWochentag;      /* REM="gemerter Wochentag" */
  UI  *__aktMinute;         /* REM="aktuelle Minute" */
  UI  *__aktSekunde;        /* REM="aktuelle Sekunde" */
  UI  *__aktUhrzeit;        /* REM="aktuelle  Uhrzeit" */
  UI  *__aktDatum;          /* REM="aktuelles Datum" */
  BIT *__AblaufBisDatum;    /* REM="Beim nchsten Tageswechsel rotieren" */
  UI  *__pu_um_a;           /* REM="auto. umschalten */
  UI  *__kale_vom;          /* REM="Umschalten vom angegeben Kalenderdatum (DATE-Eingabe)" */
  UI  *__kale_bis;          /* REM="Umschalten bis angegeben Kalenderdatum (DATE-Eingabe)" */
} PU_UM_LIBMAKBIB0002;
/**/
/**/
/* GRUPPE=PR-MAKBIB-0002a */
void pu_um_libmakbib0002 (PU_UM_LIBMAKBIB0002 *io);
