
// ***********************************************************************
//                    __sequ_gr.h
// 
// Berechnung der Einsatzpunkte der Sequenz
// 
// ***********************************************************************


typedef struct {
  FL  *aussen;      /* IO=E REM="Aussenluftenthalpie" */
  FL  *fort;        /* IO=E REM="Fortluftenthalpie" */
  BIT *AFvergleich; /* IO=A REM="Vergleich Aussenluft/Fortluft (1 = Aussenluft < Fortluft, 0 = Aussenluft > Fortluft" */
  FL  *e_kuehl;     /* IO=E REM="Einsatzpunkt Khlen" */
  FL  *e_heiz;      /* IO=E REM="Einsatzpunkt Heizen" */
  BIT *spaltung;    /* IO=E REM="0 -> Klappen u.WRG antiparallel" */
  FL  *st_min_hei;  /* IO=E REM="Heizen  - Min-Stellwert" */
  FL  *st_max_hei;  /* IO=E REM="        - Max-Stellwert" */
  FL  *be_min_hei;  /* IO=A REM="        - berechneter Einsatzpunkt bei Min-Stellwert" */
  FL  *be_max_hei;  /* IO=A REM="        - berechneter Einsatzpunkt bei Max-Stellwert" */
  FL  *st_min_wrg;  /* IO=E REM=" WRG    - Min-Stellwert" */
  FL  *st_max_wrg;  /* IO=E REM="        - Max-Stellwert" */
  FL  *e_wrg_e_k;   /* IO=A REM="        - Einsatzpunkt im Einsatzpunkt Khlen" */
  FL  *be_wrg_e_k;  /* IO=A REM="        - berechneter Einsatzpunkt im Einsatzpunkt Khlen" */
  FL  *st_wrg_e_k;  /* IO=A REM="        - StellwertG im Einsatzpunkt Khlen" */
  FL  *bst_wrg_e_k; /* IO=A REM="        - berechneter Stellwert im Einsatzpunkt Khlen" */
  FL  *e_wrg_e_h;   /* IO=A REM="        - Einsatzpunkt im Einsatzpunkt Heizen" */
  FL  *be_wrg_e_h;  /* IO=A REM="        - berechneter Einsatzpunkt im Einsatzpunkt Heizen" */
  FL  *st_wrg_e_h;  /* IO=A REM="        - Stellwert im Einsatzpunkt Heizen" */
  FL  *bst_wrg_e_h; /* IO=A REM="        - berechneter Stellwert-WRG im Einsatzpunkt Heizen" */
  FL  *st_min_kla;  /* IO=E REM="Klappen - Min-Stellwert" */
  FL  *st_max_kla;  /* IO=E REM="        - Max-Stellwert" */
  FL  *e_kla_e_k;   /* IO=A REM="        - Einsatzpunkt im Einsatzpunkt Khlen" */
  FL  *be_kla_e_k;  /* IO=A REM="        - berechneter Einsatzpunkt im Einsatzpunkt Khlen" */
  FL  *st_kla_e_k;  /* IO=A REM="        - StellwertG im Einsatzpunkt Khlen" */
  FL  *bst_kla_e_k; /* IO=A REM="        - berechneter Stellwert im Einsatzpunkt Khlen" */
  FL  *e_kla_e_h;   /* IO=A REM="        - Einsatzpunkt im Einsatzpunkt Heizen" */
  FL  *be_kla_e_h;  /* IO=A REM="        - berechneter Einsatzpunkt im Einsatzpunkt Heizen" */
  FL  *st_kla_e_h;  /* IO=A REM="        - Stellwert im Einsatzpunkt Eizen" */
  FL  *bst_kla_e_h; /* IO=A REM="        - berechneter Stellwert-WRG im Einsatzpunkt Heizen" */
  FL  *st_min_kue;  /* IO=E REM="Khlen  - Min-Stellwert" */
  FL  *st_max_kue;  /* IO=E REM="        - Max-Stellwert" */
  FL  *be_min_kue;  /* IO=A REM="        - berechneter Einsatzpunkt bei Min-Stellwert" */
  FL  *be_max_kue;  /* IO=A REM="        - berechneter Einsatzpunkt bei Max-Stellwert" */
} SEQU_GR_LIBMAKBIB0002;
/**/
/**/
/* GRUPPE=PR-MAKBIB-0002a */
void sequ_gr_libmakbib0002 (SEQU_GR_LIBMAKBIB0002 *io);
