
// ***********************************************************************
//                    __sw_anpass.h
// 
// Sollwert- Anpassung
// 
// ***********************************************************************


typedef struct {
  FL  *sw_in;          /* IO=E REM="Sollwert- Eingang" */
  FL  *sw_out;         /* IO=A REM="berech. Sollwert" */
  BIT *freigabe;       /* IO=E REM="Freigabe fr Sollwert durchreichen." */
  FL  *swanpass;       /* IO=E REM="Sollwert- Anpasssung in K/Min" */
  FL  *swband;         /* IO=E REM="Sollwert- Band (max. Abstand sw_in <-> sw_out in Kelvin)" */
  UI  *frei_verz;      /* IO=E REM="Freigabeverzgerung (in Sekunden)" */ 
  UI  *V_Restzeit;     /* IO=A REM="Restzeit Freigabeverzgerung (in Sekunden)" */
  UI  *status;         /* IO=A REM="Status (0=keine , 1=Anhebung, 2=Absenkung, 3=Freigabeverzgerung aktiv, 4=keine Freigabe)" */
  BIT *__start;        /*      REM="Startflanke merken" */
  BIT *__freigabe;     /*      REM="Freigabeflanke merken" */
  UI  *__aktSekunde;   /*      REM="Sekundenmerker" */
  UI  *__aktMinute;    /*      REM="Minutenmerker" */
} SW_ANPASS_LIBMAKBIB0002;
/**/
/**/
/* GRUPPE=PR-MAKBIB-0002a */
void sw_anpass_libmakbib0002 (SW_ANPASS_LIBMAKBIB0002 *io);
