
// ***********************************************************************
//                    __sw_ext.h
// 
// Sollwertberechnung
// 
// ***********************************************************************

typedef struct {
  FL  *ein;          /* IO=E REM="Sollwert" */
  FL  *aus;          /* IO=A REM="berechneter Sollwert" */
  FL  *Anheb_1_sw;   /* IO=E REM="Sollwert Anhebung/Absenkung 1" */
  BIT *Anheb_1_anf;  /* IO=E REM="Anforderung Anhebung/Absenkung 1" */
  BIT *Anheb_1_a_i;  /* IO=E REM="Anforderung Anhebung/Absenkung 1 invertieren" */
  BIT *Anheb_1_a_a;  /* IO=A REM="Anforderung Anhebung/Ansenkung 1 aktiv" */
  BIT *Anheb_1_mod;  /* IO=A REM="Sollwert-Modus Anhebung=0 (sw>=0K) / Absenkung=1 < 0 K)" */
  FL  *Anheb_2_sw;   /* IO=E REM="Sollwert Anhebung/Absenkung 2" */
  BIT *Anheb_2_anf;  /* IO=E REM="Anforderung Anhebung/Absenkung 2" */
  BIT *Anheb_2_a_i;  /* IO=E REM="Anforderung Anhebung/Absenkung 2 invertieren" */
  BIT *Anheb_2_a_a;  /* IO=A REM="Anforderung Anhebung/Ansenkung 2 aktiv" */
  BIT *Anheb_2_mod;  /* IO=A REM="Sollwert-Modus Anhebung=0 (sw>=0K) / Absenkung=1 < 0 K)" */
} ANHEBUNG_LIBMAKBIB0002;
/**/
typedef struct {
  FL  *sw;           /* IO=A REM="berechneter Sollwert" */
  FL  *poti;         /* IO=E REM="Poti-Eingangswert" */
  FL  *poti_l;       /* IO=E REM="Widerstand Links-anschlag" */
  FL  *sw_l;         /* IO=E REM="Sollwert Links-anschlag" */
  FL  *poti_r;       /* IO=E REM="Widerstand Rechts-anschlag" */
  FL  *sw_r;         /* IO=E REM="Sollwert Rechts-anschlag" */
  UI  *poti_bildmx;  /* IO=E REM="hchste Poti-Bildnummer" */
  UI  *poti_bildnr;  /* IO=A REM="Berechnete Poti-Bildnummer" */
} SW_POTI_LIBMAKBIB0002;
/**/
/* GRUPPE=PR-MAKBIB-0002a */
void anhebung_libmakbib0002    (ANHEBUNG_LIBMAKBIB0002 *io);
void sw_poti_libmakbib0002     (SW_POTI_LIBMAKBIB0002 *io);
